<?php
class Motivo extends AppObjeto {
	
	//Propiedades
	protected $codigo;
	protected $nombre;
			
	const WEB_SIN_POTENCIAL = '0124';
	const WEB_EMAIL_SIN_VALIDAR = '0122';
	const WEB_PRESUPUETO_SIN_TRATAR = '0117';
	const WEB_ACEPTADO_FALTAN_DATOS_POTENCIAL = '0118';
	const WEB_NO_ACEPTADO_SIN_MOTIVO = '0119';
	const WEB_ACEPTADO_SIN_PAGAR = '0120';
	CONST WEB_ACEPTADO_FALLO_PAGO = '0121';
	//CONST WEB_ACEPTADO_PAGADO = '0122';

	//const motivos_no_aceptacion = array('0001','0025','0005','0012','0042','0017');
	/*$motivos_no_aceptacion[] = '0001'; // MUY CARO
	$motivos_no_aceptacion[] = '0025'; // LO HA CONTRATADO CON OTRA EMPRESA
	$motivos_no_aceptacion[] = '0005'; // No van a alquilar coche
	$motivos_no_aceptacion[] = '0012'; // No tenemos vehículos en esa zona
	$motivos_no_aceptacion[] = '0042'; // Lo quiere sin conductor
	$motivos_no_aceptacion[] = '0017'; // Evento Anulado
	*/
		/* para conectar con bd */
	protected static $_aliasTabla = 'mot';
	protected static $_nombreTabla = 'TL_MOPRENA';
	protected static $_campoPK = 'CODIGO';
	
	protected static $_motivos_no_aceptacion = array('0001','0025','0005','0012','0042','0017');
	
	// InitMetaDatos

	protected static function initMetaDatos(){
		self::addPropiedadBD('mot', 'CODIGO', 'codigo', self::META_VARCHAR);
		self::addPropiedadBD('mot', 'NOMBRE', 'nombre', self::META_VARCHAR);
		
	}
	// Métodos
	
	// Get y Set
	public static function getMotivos() {
	    return self::$_motivos_no_aceptacion;
	}
	
	public function getCodigo() {
		return $this->codigo;
	}
	public function setCodigo($codigo) {
		$this->codigo = $codigo;
	}
	
	public function getNombre() {
		return $this->nombre;
	}
	public function setNombre($nombre) {
		$this->nombre = $nombre;
	}
	
	
}